## semodule-utils 2.7

=== Makefile ===
SUBDIRS = semodule_package semodule_link semodule_expand semodule_deps

all install relabel clean indent:
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

test:

=== semodule_expand/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
INCLUDEDIR ?= $(PREFIX)/include
BINDIR ?= $(PREFIX)/bin
LIBDIR ?= $(PREFIX)/lib
MANDIR ?= $(PREFIX)/share/man

CFLAGS ?= -Werror -Wall -W
override LDLIBS += -lsepol

all: semodule_expand

semodule_expand:  semodule_expand.o 

install: all
	-mkdir -p $(BINDIR)
	install -m 755 semodule_expand $(BINDIR)
	test -d $(MANDIR)/man8 || install -m 755 -d $(MANDIR)/man8
	install -m 644 semodule_expand.8 $(MANDIR)/man8/

relabel:

clean:
	-rm -f semodule_expand *.o

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== semodule_link/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
INCLUDEDIR ?= $(PREFIX)/include
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man
LIBDIR ?= $(PREFIX)/lib

CFLAGS ?= -Werror -Wall -W
override LDLIBS += -lsepol

all: semodule_link

semodule_link:  semodule_link.o 

install: all
	-mkdir -p $(BINDIR)
	install -m 755 semodule_link $(BINDIR)
	test -d $(MANDIR)/man8 || install -m 755 -d $(MANDIR)/man8
	install -m 644 semodule_link.8 $(MANDIR)/man8/

relabel:

clean:
	-rm -f semodule_link *.o

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== semodule_package/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
INCLUDEDIR ?= $(PREFIX)/include
BINDIR ?= $(PREFIX)/bin
LIBDIR ?= $(PREFIX)/lib
MANDIR ?= $(PREFIX)/share/man

CFLAGS ?= -Werror -Wall -W
override LDLIBS += -lsepol

all: semodule_package semodule_unpackage

semodule_package:  semodule_package.o 

install: all
	-mkdir -p $(BINDIR)
	install -m 755 semodule_package $(BINDIR)
	install -m 755 semodule_unpackage $(BINDIR)
	test -d $(MANDIR)/man8 || install -m 755 -d $(MANDIR)/man8
	install -m 644 semodule_package.8 $(MANDIR)/man8/
	install -m 644 semodule_unpackage.8 $(MANDIR)/man8/

relabel:

clean:
	-rm -f semodule_package semodule_unpackage *.o

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== debian/changelog ===
semodule-utils (2.7-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
  * Bump debhelper compatibility to 10
  * Bump Standards-Version to 4.1.0 (no further changes)
  * debian/control: Remove Manoj from the uploader list and add myself
    instead. Thanks to him for all the work in the past.

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Sep 2017 00:42:36 +0200

semodule-utils (2.7~rc4-1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate
    - Rename source package from policycoreutils to semodule-utils, drop all
      references to the packages that are not built from this src package
    - Drop all the patches, they are either merged upstream or not releavant
      anymore since policycoreutils has been split in smaller components
    - debian/control: Bump {build-}dependencies to match the new release
  * debian/watch: Add support for rc releases and use macros
  * debian/control: Bump Standards-Version to 4.0.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 16 Jul 2017 13:31:46 +0200

policycoreutils (2.6-3) unstable; urgency=medium

  * Team upload.
  * d/p/Handle-python-error-returns-correctly.patch: Fix a bug that was
    preventing to override file contexts already defined in the policy

 -- Laurent Bigonville <bigon@debian.org>  Tue, 10 Jan 2017 00:56:57 +0100

policycoreutils (2.6-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Mon, 28 Nov 2016 13:19:15 +0100

policycoreutils (2.6-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Drop d/p/Dont_use_subprocess_getstatusoutput_in_Python_2_code.patch,
      d/p/sandbox-dbus-run-session.patch, d/p/CVE-2016-7545.patch,
      d/p/sandbox-gobject-gtk.patch, applied upstream
    - Refreshed the other patches
    - debian/control: Bump {build-}dependencies to match the new release
    - debian/control: Drop libapol-dev and libqpol-dev build-dependencies
    - debian/python-sepolicy.install: Drop .so file, this is now a pure python
      module.
    - Install new restorecon_xattr executable and manpage
  * debian/control: Drop libcgroup-dev build-dependency, no longer used
  * debian/gbp.conf: Rename git-buildpackage section to buildpackage
  * Switch to python3, disable system-config-selinux for now as it doesn't
    support that version.
  * d/p/policycoreutils-Use-new-sepolicy-icon-in-.desktop-fi.patch: Use new
    icon for sepolicy (From upstream)
  * d/p/Sandbox-Use-next-over-the-sepolicy.info-result.patch,
    d/p/policycoreutils-Make-sepolicy-work-with-python3.patch,
    d/p/policycoreutils-Use-GObject-introspection-binding-in.patch Add some
    fixes for python3 (From upstream)
  * debian/control: Add lsb-base dependency to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Wed, 23 Nov 2016 01:15:04 +0100

policycoreutils (2.5-3) unstable; urgency=medium

  * Team upload.
  * d/p/Dont_use_subprocess_getstatusoutput_in_Python_2_code.patch: Make the
    python code of chcat and sandbox compatible with both python2 and python3
  * debian/NEWS, debian/control: Fix a typo
  * Merge Fedora changes to the selinux-autorelabel systemd scripts and units.
    We now use a selinux-autorelabel.target and a generator that override the
    default.target in case we need to relabel the filesystems.
  * debian/patches/sandbox-dbus-run-session.patch: Use dbus-run-session
    instead of dbus-launch when available (Closes: #836289)
  * debian/patches/CVE-2016-7545.patch: create a new session for sandboxed
    processes (Closes: #838599 CVE-2016-7545)
  * debian/patches/sandbox-gobject-gtk.patch: Use GTK+ GObject introspection
    bindings instead of old pygtk2 ones
  * debian/patches/sandbox-x-window-manager.patch: Use system default window
    manager instead of openbox

 -- Laurent Bigonville <bigon@debian.org>  Tue, 27 Sep 2016 22:30:28 +0200

policycoreutils (2.5-2) unstable; urgency=medium

  * Team upload.
  * Remove the 'debian-' prefix from the selinux-autorelabel LSB script and
    systemd services, not sure why I added it in the first place…

 -- Laurent Bigonville <bigon@debian.org>  Fri, 13 May 2016 22:49:27 +0200

policycoreutils (2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Drop d/p/0001-legacy.patch, d/p/0016-open-init-pty: new open_init_pty
      has been merged upstream
    - debian/patches/0023-sepolicy-help-path.patch: Refreshed
    - debian/control: Bump {build-}dependencies to match the new release
    - Fix newrole to not drop capabilities from the bounding set. (Closes:
      #813604)
    - Fix crash when python-audit is not installed (Closes: #734806)
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * debian/control: Update the Vcs-* URL's to please lintian (again)
  * debian/NEWS: Remove duplicate word, thanks to lintian

 -- Laurent Bigonville <bigon@debian.org>  Tue, 26 Apr 2016 14:54:13 +0200

policycoreutils (2.4-4) unstable; urgency=medium

  * Team upload.
  * Drop d/p/0009-find-does-not-have-a-context-switch.patch, findutils now
    supports the -context switch, also be sure we have the correct version
    installed.
  * Create the /usr/sbin/load_policy symlink in the postinst script to support
    the everything-in-usr directories scheme. (Closes: #767930)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 24 Jan 2016 12:12:53 +0100

policycoreutils (2.4-3) unstable; urgency=medium

  * Team upload.
  * debian/gbp.conf: Sign tags by default
  * debian/control: Drop python-setools dependency, this is not needed anymore
  * debian/rules: Fix FTBFS when building arch-indep packages only (Closes:
    #809122)
  * debian/control: Bump libapol and libqpol build-dependencies to 3.3.8

 -- Laurent Bigonville <bigon@debian.org>  Mon, 28 Dec 2015 14:34:35 +0100

policycoreutils (2.4-2) unstable; urgency=medium

  * Team upload.


=== debian/control ===
Source: semodule-utils
VCS-Git: https://anonscm.debian.org/git/selinux/semodule-utils.git
VCS-Browser: https://anonscm.debian.org/gitweb/?p=selinux/semodule-utils.git;a=summary
Priority: optional
Section: devel
Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>,
           Russell Coker <russell@coker.com.au>
Standards-Version: 4.1.0
Build-Depends: debhelper (>= 10),
               libsepol1-dev (>= 2.7),
Homepage: http://userspace.selinuxproject.org/

Package: semodule-utils
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: policycoreutils-dev (<< 2.7~), policycoreutils-python-utils (<< 2.7~)
Replaces: policycoreutils-dev (<< 2.7~), policycoreutils-python-utils (<< 2.7~)
Built-Using: ${Built-Using}
Description: SELinux core policy utilities (modules utilities)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains the tools used to build policy modules in an SELinux
 environment.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
#  # Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export LIBSEPOLA=/usr/lib/${DEB_HOST_MULTIARCH}/libsepol.a

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsepol1-dev")

# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
# missing (hardening) flags. dpkg_buildflags is necessary because $(shell ..)
# doesn't use local environment variables.
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
export DEB_CFLAGS_MAINT_APPEND = $(shell $(dpkg_buildflags) --get CPPFLAGS)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install --list-missing

override_dh_gencontrol:
	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"

## semodule-utils 2.8

=== semodule_link/Makefile ===
# Installation directories.
PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man

CFLAGS ?= -Werror -Wall -W
override LDLIBS += -lsepol

all: semodule_link

semodule_link:  semodule_link.o 

install: all
	-mkdir -p $(DESTDIR)$(BINDIR)
	install -m 755 semodule_link $(DESTDIR)$(BINDIR)
	test -d $(DESTDIR)$(MANDIR)/man8 || install -m 755 -d $(DESTDIR)$(MANDIR)/man8
	install -m 644 semodule_link.8 $(DESTDIR)$(MANDIR)/man8/

relabel:

clean:
	-rm -f semodule_link *.o

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== debian/changelog ===
semodule-utils (2.8-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
  * debian/control: Point Vcs-* fields to new (salsa) machine
  * debian/control: Bump Standards-Version to 4.1.4 (no further changes)
  * debian/rules: Adjust to match upstream changes to the build system
  * debian/rules: Use dh_missing --list-missing instead of dh_install
  * debian/control: Drop Built-Using field, the tools are not statically
    linked against libsepol anymore

 -- Laurent Bigonville <bigon@debian.org>  Mon, 28 May 2018 18:10:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: semodule-utils
-VCS-Git: https://anonscm.debian.org/git/selinux/semodule-utils.git
-VCS-Browser: https://anonscm.debian.org/gitweb/?p=selinux/semodule-utils.git;a=summary
+VCS-Git: https://salsa.debian.org/selinux-team/semodule-utils.git
+VCS-Browser: https://salsa.debian.org/selinux-team/semodule-utils
 Priority: optional
 Section: devel
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.1.0
+Standards-Version: 4.1.4
 Build-Depends: debhelper (>= 10),
-               libsepol1-dev (>= 2.7),
+               libsepol1-dev (>= 2.8),
 Homepage: http://userspace.selinuxproject.org/
 
 Package: semodule-utils
@@ -16,7 +16,6 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: policycoreutils-dev (<< 2.7~), policycoreutils-python-utils (<< 2.7~)
 Replaces: policycoreutils-dev (<< 2.7~), policycoreutils-python-utils (<< 2.7~)
-Built-Using: ${Built-Using}
 Description: SELinux core policy utilities (modules utilities)
  Security-enhanced Linux is a patch of the Linux® kernel and a number
  of utilities with enhanced security functionality designed to add

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
#  # Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
# missing (hardening) flags. dpkg_buildflags is necessary because $(shell ..)
# doesn't use local environment variables.
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
export DEB_CFLAGS_MAINT_APPEND = $(shell $(dpkg_buildflags) --get CPPFLAGS)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_missing:
	dh_missing --list-missing

## semodule-utils 2.9

=== debian/changelog ===
semodule-utils (2.9-2) unstable; urgency=medium

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Jul 2019 09:35:18 +0200

semodule-utils (2.9-1) experimental; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
  * debian/watch: Adjust the URL
  * debian/control: Bump Standards-Version to 4.3.0 (no further changes) 

 -- Laurent Bigonville <bigon@debian.org>  Sat, 23 Mar 2019 14:57:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 10),
-               libsepol1-dev (>= 2.8),
+               libsepol1-dev (>= 2.9),
 Homepage: http://userspace.selinuxproject.org/
 
 Package: semodule-utils

## semodule-utils 3.0

=== debian/changelog ===
semodule-utils (3.0-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes) 
  * Bump debhelper compatibility to 12, stop overriding dh_missing

 -- Laurent Bigonville <bigon@debian.org>  Thu, 12 Dec 2019 15:43:55 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 10),
-               libsepol1-dev (>= 2.9),
+Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 12),
+               libsepol1-dev (>= 3.0),
 Homepage: http://userspace.selinuxproject.org/
 
 Package: semodule-utils

## semodule-utils 3.1

=== debian/changelog ===
semodule-utils (3.1-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
  * debian/control: Set Rules-Requires-Root: no
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * Add debian/gitlab-ci.yml file

 -- Laurent Bigonville <bigon@debian.org>  Thu, 16 Jul 2020 10:05:16 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends: debhelper (>= 12),
-               libsepol1-dev (>= 3.0),
+               libsepol1-dev (>= 3.1),
 Homepage: http://userspace.selinuxproject.org/
+Rules-Requires-Root: no
 
 Package: semodule-utils
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,3 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
-
-override_dh_missing:
-	dh_missing --list-missing

## semodule-utils 3.3

=== debian/changelog ===
semodule-utils (3.3-1) UNRELEASED; urgency=medium

  * update

 -- Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>  Wed, 18 May 2022 10:01:46 +0800

semodule-utils (3.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Christian Göttsche ]
  * d/gitlab-ci.yml: Use Debian recipe
  * d/control: Bump debhelper compat to level 13
  * d/control: Bump Standards-Version to 4.5.1 (no further changes)
  * d/control: Convert cute fields
  * d/rules: Enable -Wall and -Wextra

  [ Laurent Bigonville ]
  * debian/watch: Update the regex (again)
  * New upstream version 3.3
    - debian/control: Bump build-dependency to match the new release
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)
  * debian/control: Drop old Breaks/Replaces (pre-buster)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Nov 2021 10:14:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,19 @@
 Source: semodule-utils
-VCS-Git: https://salsa.debian.org/selinux-team/semodule-utils.git
-VCS-Browser: https://salsa.debian.org/selinux-team/semodule-utils
+Vcs-Git: https://salsa.debian.org/selinux-team/semodule-utils.git
+Vcs-Browser: https://salsa.debian.org/selinux-team/semodule-utils
 Priority: optional
 Section: devel
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.5.0
-Build-Depends: debhelper (>= 12),
-               libsepol1-dev (>= 3.1),
+Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), libsepol-dev (>= 3.3),
 Homepage: http://userspace.selinuxproject.org/
 Rules-Requires-Root: no
 
 Package: semodule-utils
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: policycoreutils-dev (<< 2.7~), policycoreutils-python-utils (<< 2.7~)
-Replaces: policycoreutils-dev (<< 2.7~), policycoreutils-python-utils (<< 2.7~)
 Description: SELinux core policy utilities (modules utilities)
  Security-enhanced Linux is a patch of the Linux® kernel and a number
  of utilities with enhanced security functionality designed to add

## semodule-utils 3.4

=== debian/changelog ===
semodule-utils (3.4-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump build-dependency to match the new release
  * Enable GPG key validation of the upstream tarball

 -- Laurent Bigonville <bigon@debian.org>  Sat, 04 Jun 2022 15:37:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
 Standards-Version: 4.6.0
-Build-Depends: debhelper-compat (= 13), libsepol-dev (>= 3.3),
+Build-Depends: debhelper-compat (= 13), libsepol-dev (>= 3.4),
 Homepage: http://userspace.selinuxproject.org/
 Rules-Requires-Root: no

## semodule-utils 3.5

=== debian/changelog ===
semodule-utils (3.5-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump build-dependency to match the new release
  * debian/upstream/signing-key.asc: Add public key of Jason Zaman
  * debian/control: Bump Standards-Version to 4.6.2 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 10 Jul 2023 21:24:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.6.0
-Build-Depends: debhelper-compat (= 13), libsepol-dev (>= 3.4),
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), libsepol-dev (>= 3.5),
 Homepage: http://userspace.selinuxproject.org/
 Rules-Requires-Root: no

## semodule-utils 3.7

=== debian/changelog ===
semodule-utils (3.7-1) unstable; urgency=medium

  * New upstream release
  * Added new upstream signing key

 -- Russell Coker <russell@coker.com.au>  Mon, 02 Sep 2024 20:55:02 +1000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
 Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), libsepol-dev (>= 3.5),
+Build-Depends: debhelper-compat (= 13), libsepol-dev (>= 3.7),
 Homepage: http://userspace.selinuxproject.org/
 Rules-Requires-Root: no

## semodule-utils 3.8

=== debian/changelog ===
semodule-utils (3.8-1) unstable; urgency=medium

  * New upstream release, only the version number but I guess we must follow it
  * Changed homepage URL

 -- Russell Coker <russell@coker.com.au>  Thu, 06 Feb 2025 20:29:27 +1100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
 Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), libsepol-dev (>= 3.7),
-Homepage: http://userspace.selinuxproject.org/
+Build-Depends: debhelper-compat (= 13), libsepol-dev (>= 3.8),
+Homepage: https://github.com/SELinuxProject
 Rules-Requires-Root: no
 
 Package: semodule-utils

## semodule-utils 3.8.1

=== debian/changelog ===
semodule-utils (3.8.1-1) unstable; urgency=medium

  * New upstream release, just change version number

 -- Russell Coker <russell@coker.com.au>  Sun, 16 Mar 2025 18:13:07 +1100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
 Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), libsepol-dev (>= 3.8),
+Build-Depends: debhelper-compat (= 13), libsepol-dev (>= 3.8.1),
 Homepage: https://github.com/SELinuxProject
 Rules-Requires-Root: no

## semodule-utils 3.9

=== Makefile ===
SUBDIRS = semodule_package semodule_link semodule_expand

all install relabel clean indent:
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

test:

=== semodule_expand/Makefile ===
# Installation directories.
LINGUAS ?=
PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man

CFLAGS ?= -Werror -Wall -W
override LDLIBS += -lsepol

all: semodule_expand

semodule_expand:  semodule_expand.o 

install: all
	-mkdir -p $(DESTDIR)$(BINDIR)
	install -m 755 semodule_expand $(DESTDIR)$(BINDIR)
	test -d $(DESTDIR)$(MANDIR)/man8 || install -m 755 -d $(DESTDIR)$(MANDIR)/man8
	install -m 644 semodule_expand.8 $(DESTDIR)$(MANDIR)/man8/
	for lang in $(LINGUAS) ; do \
		if [ -e $${lang} ] ; then \
			test -d $(DESTDIR)$(MANDIR)/$${lang}/man8 || install -m 755 -d $(DESTDIR)$(MANDIR)/$${lang}/man8 ; \
			install -m 644 $${lang}/*.8 $(DESTDIR)$(MANDIR)/$${lang}/man8/ ; \
		fi ; \
	done

relabel:

clean:
	-rm -f semodule_expand *.o

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== semodule_link/Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 # Installation directories.
+LINGUAS ?=
 PREFIX ?= /usr
 BINDIR ?= $(PREFIX)/bin
 MANDIR ?= $(PREFIX)/share/man
@@ -15,6 +16,12 @@
 	install -m 755 semodule_link $(DESTDIR)$(BINDIR)
 	test -d $(DESTDIR)$(MANDIR)/man8 || install -m 755 -d $(DESTDIR)$(MANDIR)/man8
 	install -m 644 semodule_link.8 $(DESTDIR)$(MANDIR)/man8/
+	for lang in $(LINGUAS) ; do \
+		if [ -e $${lang} ] ; then \
+			test -d $(DESTDIR)$(MANDIR)/$${lang}/man8 || install -m 755 -d $(DESTDIR)$(MANDIR)/$${lang}/man8 ; \
+			install -m 644 $${lang}/*.8 $(DESTDIR)$(MANDIR)/$${lang}/man8/ ; \
+		fi ; \
+	done
 
 relabel:

=== semodule_package/Makefile ===
# Installation directories.
LINGUAS ?=
PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man

CFLAGS ?= -Werror -Wall -W
override LDLIBS += -lsepol

all: semodule_package semodule_unpackage

semodule_package:  semodule_package.o 

install: all
	-mkdir -p $(DESTDIR)$(BINDIR)
	install -m 755 semodule_package $(DESTDIR)$(BINDIR)
	install -m 755 semodule_unpackage $(DESTDIR)$(BINDIR)
	test -d $(DESTDIR)$(MANDIR)/man8 || install -m 755 -d $(DESTDIR)$(MANDIR)/man8
	install -m 644 semodule_package.8 $(DESTDIR)$(MANDIR)/man8/
	install -m 644 semodule_unpackage.8 $(DESTDIR)$(MANDIR)/man8/
	for lang in $(LINGUAS) ; do \
		if [ -e $${lang} ] ; then \
			test -d $(DESTDIR)$(MANDIR)/$${lang}/man8 || install -m 755 -d $(DESTDIR)$(MANDIR)/$${lang}/man8 ; \
			install -m 644 $${lang}/*.8 $(DESTDIR)$(MANDIR)/$${lang}/man8/ ; \
		fi ; \
	done

relabel:

clean:
	-rm -f semodule_package semodule_unpackage *.o

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== debian/changelog ===
semodule-utils (3.9-1) unstable; urgency=medium

  * 3.9 release

 -- Russell Coker <russell@coker.com.au>  Fri, 17 Oct 2025 19:12:18 +1100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
 Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), libsepol-dev (>= 3.8.1),
+Build-Depends: debhelper-compat (= 13), libsepol-dev (>= 3.9),
 Homepage: https://github.com/SELinuxProject
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,10 @@
 
 # The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
 # missing (hardening) flags. dpkg_buildflags is necessary because $(shell ..)
-# doesn't use local environment variables.
+# doesn't use local environment variables. Also enable Wall and Wextra to spot
+# basic irregularities.
 dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
-export DEB_CFLAGS_MAINT_APPEND = $(shell $(dpkg_buildflags) --get CPPFLAGS)
+export DEB_CFLAGS_MAINT_APPEND = $(shell $(dpkg_buildflags) --get CPPFLAGS) -Wall -Wextra
 
 %:
 	dh $@
